import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_xtime
name = "../../scikit-learn/results/bench_plot_gridsearch_cache.csv"
df = pandas.read_csv(name)
plt.close('all')

plot_bench_xtime(df, row_cols=['n_jobs'],
                 hue_cols=['N'], x_value='mean',
                 cmp_col_values='test',
                 title="GridSearchCV\nBenchmark caching strategies");
plt.show()